package com.inkasso.factoring.purchManagement.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.common.entity.BaseEntity;

/**
 * <p>
 * 采购合同-补充货物信息表
 * </p>
 *
 * @author yafan
 * @since 2023-12-15
 */
@TableName("c_purch_contract_supplement_goods_info")
public class CPurchContractSupplementGoodsInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 采购补充合同信息表Id
     */
    @TableField("c_purch_contract_supplement_info_id")
    private Long cPurchContractSupplementInfoId;

    /**
     * 货物名称
     */
    @TableField("goods_name")
    private String goodsName;

    /**
     * 厂家
     */
    @TableField("goods_factory")
    private String goodsFactory;

    /**
     * 型号
     */
    @TableField("model_number")
    private String modelNumber;

    /**
     * 单位
     */
    @TableField("units")
    private String units;

    /**
     * 数量
     */
    @TableField("quantity")
    private String quantity;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    /**
     * 暂定单价
     */
    @TableField("price")
    private String price;

    /**
     * 是否补充货物 0 不是 1 是
     */
    @TableField("supplement")
    private Boolean supplement;

    /**
     * 销售合同货物信息ID
     */
    @TableField("c_sales_contract_goods_info_id")
    private Long salesContractGoodsInfoId;

    public Long getcPurchContractSupplementInfoId() {
        return cPurchContractSupplementInfoId;
    }

    public void setcPurchContractSupplementInfoId(Long cPurchContractSupplementInfoId) {
        this.cPurchContractSupplementInfoId = cPurchContractSupplementInfoId;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsFactory() {
        return goodsFactory;
    }

    public void setGoodsFactory(String goodsFactory) {
        this.goodsFactory = goodsFactory;
    }

    public String getModelNumber() {
        return modelNumber;
    }

    public void setModelNumber(String modelNumber) {
        this.modelNumber = modelNumber;
    }

    public String getUnits() {
        return units;
    }

    public void setUnits(String units) {
        this.units = units;
    }

    public String getQuantity() {
        return quantity;
    }

    public void setQuantity(String quantity) {
        this.quantity = quantity;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public Boolean getSupplement() {
        return supplement;
    }

    public void setSupplement(Boolean supplement) {
        this.supplement = supplement;
    }

    public Long getSalesContractGoodsInfoId() {
        return salesContractGoodsInfoId;
    }

    public void setSalesContractGoodsInfoId(Long salesContractGoodsInfoId) {
        this.salesContractGoodsInfoId = salesContractGoodsInfoId;
    }

    @Override
    public String toString() {
        return "CPurchContractSupplementGoodsInfo{" +
                ", cPurchContractSupplementInfoId=" + cPurchContractSupplementInfoId +
                ", goodsName=" + goodsName +
                ", goodsFactory=" + goodsFactory +
                ", modelNumber=" + modelNumber +
                ", units=" + units +
                ", quantity=" + quantity +
                ", remark=" + remark +
                ", price=" + price +
                "}";
    }
}
